**==aa0001.spg  processed by SPAG 4.50J  at 14:49 on 30 Jun 1995
      IMPLICIT NONE
C*** Start of declarations inserted by SPAG
      REAL e , ea , s2 , s3 , s4 , s5
      INTEGER i , ierr , j , k , ll , n
C*** End of declarations inserted by SPAG
      REAL wave(220) , e3(220) , f(220)
      LOGICAL end
 
      OPEN (UNIT=1,FILE='atomic.data',STATUS='old')
 
      READ (1,99001) n , j , e , ea , s2 , s3 , s4 , s5 , ll
 
      end = .FALSE.
      DO WHILE ( .NOT.end )
         IF ( n.EQ.26 ) THEN
            DO 20 i = 1 , ll
               READ (1,99002) (wave(k),e3(k),f(k),k=1,3)
               DO 10 k = 1 , 3
                  IF ( wave(k).GT.0 ) WRITE (*,*) 1.23985E4/wave(k) , 
     &                 j , wave(k) , e3(k) , f(k)
 10            CONTINUE
 20         CONTINUE
         ELSE
            DO 40 i = 1 , ll
               READ (1,*)
 40         CONTINUE
         ENDIF
         READ (1,99001,IOSTAT=ierr) n , j , e , ea , s2 , s3 , s4 , s5 , 
     &                              ll
         IF ( ierr.NE.0 ) end = .TRUE.
      ENDDO
 
      CLOSE (1)
      CALL EXIT(0)
99001 FORMAT (2I5,F5.0,5F7.0,I5)
99002 FORMAT (9F6.0)
      END
 
